Get Order Sync Job Status
1 min
GET
https://api.nue.io/billing/orders/sync-jobs/{jobId}
Path Parameters
- jobIdstringrequiredDescription
Header Parameters
- acceptstringDescriptionDefaultapplication/jsonAllowedapplication/json*/*
Responses
200
- OrderSyncJobResponse
- dataSyncJobSyncJobParamsDescription
- idstring<uuid>DescriptionFormatuuid
- namestringDescription
- scheduleIdstringDescription
- typestringDescription
- parametersSyncJobParamsDescription
- graphqlFilterstring
- statusstring<Queued | Processing | Completed | Failed>DescriptionAllowedQueuedProcessingCompletedFailed
- sourceRecordsinteger<int64>DescriptionFormatint64
- targetRecordsinteger<int64>DescriptionFormatint64
- recordsToSyncinteger<int64>DescriptionFormatint64
- recordsProcessedinteger<int64>DescriptionFormatint64
- batchSizeinteger<int64>DescriptionFormatint64
- totalBatchesinteger<int64>DescriptionFormatint64
- batchesProcessedinteger<int64>DescriptionFormatint64
- errorCodestringDescription
- errorMessagestringDescription
- executionSecondsinteger<int64>DescriptionFormatint64
- startTimeinteger<int64>DescriptionFormatint64
- endTimeinteger<int64>DescriptionFormatint64
400
- object
- titlestring
- messagestring
- errorCodestring
404
curl
curl --request GET \
--url https://api.nue.io/billing/orders/sync-jobs/{jobId} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.nue.io/billing/orders/sync-jobs/{jobId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.nue.io/billing/orders/sync-jobs/{jobId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.nue.io/billing/orders/sync-jobs/{jobId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Order sync job status
{
"data": {
"id": "",
"name": "",
"scheduleId": "",
"type": "",
"parameters": {
"graphqlFilter": ""
},
"status": "",
"sourceRecords": "",
"targetRecords": "",
"recordsToSync": "",
"recordsProcessed": "",
"batchSize": "",
"totalBatches": "",
"batchesProcessed": "",
"errorCode": "",
"errorMessage": "",
"executionSeconds": "",
"startTime": "",
"endTime": ""
}
}GENERATED
// Order sync job status
{
"data": {
"id": "",
"name": "",
"scheduleId": "",
"type": "",
"parameters": {
"graphqlFilter": ""
},
"status": "",
"sourceRecords": "",
"targetRecords": "",
"recordsToSync": "",
"recordsProcessed": "",
"batchSize": "",
"totalBatches": "",
"batchesProcessed": "",
"errorCode": "",
"errorMessage": "",
"executionSeconds": "",
"startTime": "",
"endTime": ""
}
}Batch sync orders job response
{
"data": {
"id": "14e4dae9-6bb4-4158-9146-216881834b04",
"name": "",
"scheduleId": "",
"type": "Order",
"parameters": {
"graphqlFilter": "{_and: [{customerId: {_eq: \"0016s00000cPEgZAAB\"}}]}"
},
"status": "Completed",
"sourceRecords": 1,
"targetRecords": 0,
"recordsToSync": 1,
"recordsProcessed": 1,
"batchSize": 200,
"totalBatches": 1,
"batchesProcessed": 1,
"errorCode": "",
"errorMessage": "",
"executionSeconds": 3,
"startTime": 1685336050207,
"endTime": 1685336053646
}
}400
// Bad Request
{
"title": "",
"message": "",
"errorCode": ""
}404
// Not Found